summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* init script should be POSIX compliantHEADmasterFabio Rossi2020-05-031-4/+4
| | | | | | | openrc aims at using a POSIX compliance sh, replaced a bashism. This fixes issue #50 on github Signed-off-by: Fabio Rossi <rossi.f@inwind.it>
* The virtual/jpeg:62 is not anymore in portage, fix itFabio Rossi2020-04-131-1/+4
| | | | Signed-off-by: Fabio Rossi <rossi.f@inwind.it>
* removed USE flag bundled-libsFabio Rossi2020-04-121-145/+13
| | | | | | | | | | | In portage a lot of deps are not anymore present because 12.5.9.7535481 version is more than two years old. The old USE=-bundled-libs configuration is then not anymore working leading to an useless installation. Now the default is an installation with bundled libs without options. There are of course security issues but let's leave to the user the option to install the software he paid for :-) Signed-off-by: Fabio Rossi <rossi.f@inwind.it>
* removed media-libs/tiff:3 depFabio Rossi2020-04-121-0/+594
| | | | | | | It is not anymore in portage but it seems is not needed by the software. This should also close https://github.com/gentoo/vmware/issues/46 Signed-off-by: Fabio Rossi <rossi.f@inwind.it>
* shipped libgcrypt.so.11 is mandatory nowFabio Rossi2019-03-231-5/+4
| | | | | | | | dev-libs/libgcrypt:11 is going to be removed soon from portage so it cannot be removed from bundled libs anymore. See also bugs #567382 or #656372. Changed also the message to the user clearly stating the security issue!
* remove from manifest unpublished versionsFabio Rossi2018-04-071-1/+0
|
* Forgot to update manifestFabio Rossi2018-02-211-3/+4
|
* Migrated to xdg-utils.eclassFabio Rossi2018-02-211-4/+6
|
* Added latest version 12.5.9.7535481 in 12.5 series.Fabio Rossi2018-02-211-0/+0
|
* Fix note about openssl versionFabio Rossi2017-11-171-1/+1
|
* Added latest version 12.5.8.7098237Fabio Rossi2017-11-172-1/+1
|
* Updated headers with 2017 copyrightFabio Rossi2017-06-251-1/+1
|
* Fixed some issues with repomanFabio Rossi2017-06-252-4/+1
|
* Remove all $Id$ linesFabio Rossi2017-06-256-6/+0
| | | | | All $Id$ lines are not anymore needed as indicated in https://bugs.gentoo.org/show_bug.cgi?id=611234
* Cleaning the overlay removing old files.Fabio Rossi2017-06-2513-2321/+0
| | | | | | | Let's clean the overlay keeping only last version of each major release, this simplifies the management of the files. At a certain point it might be even possible to import older versions that are now package-masked in the main Gentoo repository.
* Align ebuild structure between player and workstation, version 11Fabio Rossi2017-06-251-24/+23
|
* Added latest version 12.5.7.5813279Fabio Rossi2017-06-252-1/+1
| | | | | Excluded right now the associated version of vmware-tools because it has the same name of previous 12.5.6. Is it changed anything?
* Let's fix the things for 12.5 with -bundled-libs now that gcc-5 is stable.Fabio Rossi2017-06-251-10/+0
|
* Fix zlib.so loading with latest vmware versionFabio Rossi2017-05-241-0/+7
|
* Added latest version 12.5.6.5528349Fabio Rossi2017-05-212-1/+1
|
* app-emulation/vmware-{player,workstation}: fix init.d when vsock/vmci are ↵Fabio Rossi2017-05-206-51/+346
| | | | | | | | built into kernel The old init scripts fail when the vsock/vmci are built into kernel not as modules. This should close the bug #510156. The systemd services fail but don't block the initialization so I haven't touched them.
* Added latest version 12.5.4.5192485Fabio Rossi2017-03-202-1/+1
|
* Last version doesn't start anymore without bundled libz.so in unbundled ↵Fabio Rossi2017-02-261-1/+0
| | | | condition.
* Added latest version 12.5.2.4638234.Fabio Rossi2017-02-254-0/+699
|
* switching to openrc-run from runscriptEvan Teran2016-09-0210-10/+10
|
* trying to version bump vmware 11Evan Teran2016-08-112-0/+550
|
* Added latest version 12.1.1.3770994Fabio Rossi2016-05-142-1/+1
|
* app-emulation/vmware-workstation: remove rpath patching for glib/fontconfigFabio Rossi2016-04-191-17/+0
| | | | | | Revert partially part of commit 050003bb7077b9121a81452e28779c343d1f0004. Forcing embedded glib causes other problems when VMWARE_USE_SHIPPED_LIBS is not set (bug #578956).
* app-emulation/vmware-workstation: other workarounds for bundled-libsFabio Rossi2016-04-031-33/+58
| | | | | | | | | | | | | | | | | | | | | | | | Commit 052215b3c1e4b532b9d7a7872a0f46ecdb10f4cb has drastically reduced the amount of not needed deps... introducing other problems. 1) The removal of gnome-base/librsvg exposes a problem with libconf/lib/gtk-2.0/2.10.0/loaders/svg_loader.so (only with bundled-libs), which is not able to find the bundled librsvg-2.so.2. 2) Some binaries (bin/vmware-vmx*) depends on libXinerama.so.1 and libXcursor.so.1 but with bundled-libs they are not able to find the embedded version and fail if those libs are not installed in the system. patchelf --set-rpath doesn't work with bin/vmware-vmw-debug so I moved the deps on libXinerama and libXcursor to be always set. Moreover, with gcc-5, bundled-libs is mandatory otherwise there is a problem with symbols (https://bugs.gentoo.org/show_bug.cgi?id=578070#c8). Even with VMWARE_USE_SHIPPED_LIBS set, appLoader tries to dynamically load at runtime the best version of glib and fontconfig leading to a mix of system/bundled libs. Let's fix some rpath to be sure that with bundled-libs only the libs embedded with vmware are used! Tested both on amd64 and ~amd64 systems.
* Clean deps getting list from scanelf instead of lddFabio Rossi2016-04-031-39/+2
| | | | | | | | The dependencies were initially obtained from ldd which works recursively so it shows also all the dynamically linked libs of the primary DT_NEEDED libs... Basically ldd shows much more dependencies, the new configuration has been tested on a freshly built ~amd64 system.
* app-emulation/vmware-workstation: remove RESTRICT=preserve-libs, makes no senseAndreas K. Hüttel2016-03-203-3/+3
| | | | | | | | This restrict means that libraries from *this* package are not preserved. We have the exact opposite problem, we want that this package does not *cause* other libraries to be preserved... Package-Manager: portage-2.2.27
* app-emulation/vmware-workstation: Fix symlinks, bug 558242Andreas K. Hüttel2016-03-201-0/+549
| | | | | | | This isn't really clean; probably parts of the package still need 0.9.8... better than installing broken links though. More later. Package-Manager: portage-2.2.27
* app-emulation/vmware-workstation: Drop pulseaudio requirement after reports ↵Andreas K. Hüttel2016-03-201-1/+0
| | | | | | on bug 559798 Package-Manager: portage-2.2.27
* app-emulation/vmware-workstation: Update systemd unit filesAndreas K. Hüttel2016-03-192-2/+3
| | | | Package-Manager: portage-2.2.28
* app-emulation/vmware-workstation: Fix libgcrypt dependencies, bug 567380Andreas K. Hüttel2016-03-191-1/+1
| | | | Package-Manager: portage-2.2.27
* app-emulation/vmware-workstation: First generate config file, then install ↵Andreas K. Hüttel2016-03-191-2/+2
| | | | | | it ... Package-Manager: portage-2.2.27
* app-emulation/vmware-workstation: Switch back to using patchelf, use local ↵Andreas K. Hüttel2016-03-192-69/+15
| | | | | | | | libgksu2.so.0 Based on work by Fabio Rossi, https://github.com/efferre79/vmware Package-Manager: portage-2.2.27
* app-emulation/vmware-workstation: Make binary patch a textfile...Andreas K. Hüttel2016-03-193-4/+65
| | | | Package-Manager: portage-2.2.27
* app-emulation/vmware-workstation: Remove oldAndreas K. Hüttel2016-03-197-2186/+0
| | | | Package-Manager: portage-2.2.28
* app-emulation/vmware-workstation: initial vmware-12 supportEvan Teran2016-03-175-0/+722
| | | | Package-Manager: portage-2.2.26
* updating some meta-dataEvan Teran2016-03-166-4/+1054
| | | | | | | version bump on vmware-workstation:11 making sure that the latest vmware-workstation:11 has bundled-libs support Package-Manager: portage-2.2.26
* app-emulation/vmware-workstation: Revbump, fix the gcc-5 problemAndreas K. Hüttel2016-01-091-0/+549
| | | | Package-Manager: portage-2.2.26
* app-emulation/vmware-workstation: shorten descriptionAndreas K. Huettel (dilfridge)2015-11-141-1/+1
| | | | Package-Manager: portage-2.2.24
* app-emulation/vmware-workstation: clean upAndreas K. Huettel (dilfridge)2015-11-143-1520/+0
| | | | Package-Manager: portage-2.2.24
* app-emulation/vmware-workstation: disallow preserved-libsAndreas K. Huettel (dilfridge)2015-11-141-1/+1
| | | | Package-Manager: portage-2.2.24
* Revert "app-emulation/vmware-workstation: add untested rpath logic"Andreas K. Huettel (dilfridge)2015-11-141-20/+0
| | | | This reverts commit e95136ce6a2fba26b53505fad7d82b630dc463dc.
* app-emulation/vmware-workstation: add untested rpath logicAndreas K. Huettel (dilfridge)2015-11-141-0/+20
| | | | Package-Manager: portage-2.2.24
* app-emulation/vmware-workstation: make bundled-libs (partially) work as intendedAndreas K. Huettel (dilfridge)2015-10-131-1/+3
| | | | Package-Manager: portage-2.2.23
* app-emulation/vmware-workstation: Improve libgcrypt dependency, however ↵Andreas K. Huettel (dilfridge)2015-10-101-1/+1
| | | | | | things may still be broken Package-Manager: portage-2.2.23
* app-emulation/vmware-workstation: Sort some more bundled libsAndreas K. Huettel (dilfridge)2015-10-101-8/+21
| | | | Package-Manager: portage-2.2.23